Update Product
curl --request PATCH \
--url https://api.withflex.com/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": {
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"active": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
}
}
}
'import requests
url = "https://api.withflex.com/v1/products/{id}"
payload = { "product": {
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"active": False,
"metadata": {
"order_id": "8842",
"channel": "shopify"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: {
name: 'Example',
description: 'Premium SPF 50 mineral sunscreen',
upc_code: 'example_value',
gtin: 'example_value',
reference_gtin: 'example_value',
url: 'https://example.com',
active: false,
metadata: {order_id: '8842', channel: 'shopify'}
}
})
};
fetch('https://api.withflex.com/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"created_at": "2026-06-15T14:30:00Z",
"visit_type": "cbtSleep",
"active": false,
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Update Product
Updates the specified product by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Changing the name or description re-runs HSA/FSA eligibility determination, which may resolve asynchronously in the background. Passing categories replaces the product’s existing categories (an empty array removes them all). A product.updated event is sent to your configured webhook endpoints on success.
PATCH
/
v1
/
products
/
{id}
Update Product
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Body
application/json
An envelope wrapping a single product object.
An envelope wrapping a single product object.
The product object.
Show child attributes
Show child attributes
Example:
{
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"active": false,
"metadata": { "order_id": "8842", "channel": "shopify" }
}
Response
Success
An envelope wrapping a single product object.
The product object.
Show child attributes
Show child attributes
Example:
{
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"created_at": "2026-06-15T14:30:00Z",
"visit_type": "cbtSleep",
"active": false,
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
⌘I